--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_013_pos.ksh	Wed Aug 31 16:21:32 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_013_pos.ksh	Wed Aug 31 16:21:32 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -48,10 +48,10 @@
 {
 	cleanup
 	if datasetexists $TESTPOOL2 ; then
-		log_must $ZPOOL destroy -f $TESTPOOL2
+		log_must zpool destroy -f $TESTPOOL2
 	fi
 	if [[ -n $lofidev ]]; then
-		$LOFIADM -d $lofidev
+		lofiadm -d $lofidev
 	fi
 }
 
@@ -61,21 +61,21 @@
 log_onexit cleanup_testenv
 
 dsk1=${DISKS%% *}
-log_must $ZPOOL create $TESTPOOL ${DISKS#$dsk1}
+log_must zpool create $TESTPOOL ${DISKS#$dsk1}
 
 # Add nomal disk
-log_must $ZPOOL add $TESTPOOL log $dsk1
+log_must zpool add $TESTPOOL log $dsk1
 log_must verify_slog_device $TESTPOOL $dsk1 'ONLINE'
 # Add nomal file
-log_must $ZPOOL add $TESTPOOL log $LDEV
+log_must zpool add $TESTPOOL log $LDEV
 ldev=$(random_get $LDEV)
 log_must verify_slog_device $TESTPOOL $ldev 'ONLINE'
 
 # Add lofi device
 lofidev=${LDEV2%% *}
-log_must $LOFIADM -a $lofidev
-lofidev=$($LOFIADM $lofidev)
-log_must $ZPOOL add $TESTPOOL log $lofidev
+log_must lofiadm -a $lofidev
+lofidev=$(lofiadm $lofidev)
+log_must zpool add $TESTPOOL log $lofidev
 log_must verify_slog_device $TESTPOOL $lofidev 'ONLINE'
 
 log_pass "Verify slog device can be disk, file, lofi device or any device " \
@@ -83,10 +83,10 @@
 
 # Add file which reside in the itself
 mntpnt=$(get_prop mountpoint $TESTPOOL)
-log_must $MKFILE $MINVDEVSIZE $mntpnt/vdev
-log_must $ZPOOL add $TESTPOOL $mntpnt/vdev
+log_must mkfile $MINVDEVSIZE $mntpnt/vdev
+log_must zpool add $TESTPOOL $mntpnt/vdev
 
 # Add ZFS volume
 vol=$TESTPOOL/vol
-log_must $ZPOOL create -V $MINVDEVSIZE $vol
-log_must $ZPOOL add $TESTPOOL /dev/zvol/dsk/$vol
+log_must zpool create -V $MINVDEVSIZE $vol
+log_must zpool add $TESTPOOL /dev/zvol/dsk/$vol
--- old/usr/src/test/zfs-tests/tests/functional/slog/slog_014_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/slog/slog_014_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/slog/slog.kshlib
@@ -49,31 +49,31 @@
 do
 	for spare in "" "spare"
 	do
-		log_must $ZPOOL create $TESTPOOL $type $VDEV $spare $SDEV \
+		log_must zpool create $TESTPOOL $type $VDEV $spare $SDEV \
 			log $LDEV
 
 		# Corrupt a pool device to make the pool DEGRADED
-		$DD if=/dev/urandom of=/$TESTPOOL/filler bs=1024k count=50
+		dd if=/dev/urandom of=/$TESTPOOL/filler bs=1024k count=50
 		# The oseek value below is to skip past the vdev label.
-		log_must $DD if=/dev/urandom of=$VDIR/a bs=1024k oseek=4 \
+		log_must dd if=/dev/urandom of=$VDIR/a bs=1024k oseek=4 \
 		    conv=notrunc count=50
-		log_must $ZPOOL scrub $TESTPOOL
+		log_must zpool scrub $TESTPOOL
 		log_must display_status $TESTPOOL
-		log_must $ZPOOL status $TESTPOOL 2>&1 >/dev/null
+		log_must zpool status $TESTPOOL 2>&1 >/dev/null
 
-		$ZPOOL status -v $TESTPOOL | \
-			$GREP "state: DEGRADED" 2>&1 >/dev/null
+		zpool status -v $TESTPOOL | \
+			grep "state: DEGRADED" 2>&1 >/dev/null
 		if (( $? != 0 )); then
 			log_fail "pool $TESTPOOL status should be DEGRADED"
 		fi
 
-		$ZPOOL status -v $TESTPOOL | $GREP logs | \
-			$GREP "DEGRADED" 2>&1 >/dev/null
+		zpool status -v $TESTPOOL | grep logs | \
+			grep "DEGRADED" 2>&1 >/dev/null
 		if (( $? == 0 )); then
 			log_fail "log device should display correct status"
 		fi
 
-		log_must $ZPOOL destroy -f $TESTPOOL
+		log_must zpool destroy -f $TESTPOOL
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/clone_001_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/clone_001_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -62,8 +62,8 @@
 function setup_all
 {
 	create_pool $TESTPOOL1 /dev/zvol/dsk/$TESTPOOL/$TESTVOL
-	log_must $ZFS create $TESTPOOL1/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL1/$TESTFS
+	log_must zfs create $TESTPOOL1/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL1/$TESTFS
 
 	return 0
 }
@@ -75,24 +75,24 @@
 	i=0
 	while (( i < ${#args[*]} )); do
 		snapexists ${args[i]} && \
-			log_must $ZFS destroy -Rf ${args[i]}
+			log_must zfs destroy -Rf ${args[i]}
 
 		[[ -d ${args[i+3]} ]] && \
-			log_must $RM -rf ${args[i+3]}
+			log_must rm -rf ${args[i+3]}
 
 		[[ -d ${args[i+1]} ]] && \
-			log_must $RM -rf ${args[i+1]}
+			log_must rm -rf ${args[i+1]}
 
 		(( i = i + 4 ))
 	done
 
 	datasetexists $TESTPOOL1/$TESTFS  && \
-		log_must $ZFS destroy -f $TESTPOOL1/$TESTFS
+		log_must zfs destroy -f $TESTPOOL1/$TESTFS
 
 	destroy_pool $TESTPOOL1
 
 	[[ -d $TESTDIR2 ]] && \
-		log_must $RM -rf $TESTDIR2
+		log_must rm -rf $TESTDIR2
 
 	return 0
 }
@@ -104,7 +104,7 @@
 setup_all
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 typeset -i i=0
@@ -113,7 +113,7 @@
 	log_note "Populate the $mtpt directory (prior to snapshot)"
 	typeset -i j=1
 	while [[ $j -le $COUNT ]]; do
-		log_must $FILE_WRITE -o create -f $mtpt/before_file$j \
+		log_must file_write -o create -f $mtpt/before_file$j \
 			-b $BLOCKSZ -c $NUM_WRITES -d $j
 
 		(( j = j + 1 ))
@@ -124,19 +124,19 @@
 	#
 	# Take a snapshot of the test file system.
 	#
-	log_must $ZFS snapshot ${args[i]}
+	log_must zfs snapshot ${args[i]}
 
 	#
 	# Clone a new file system from the snapshot
 	#
-	log_must $ZFS clone ${args[i]} ${args[i+2]}
+	log_must zfs clone ${args[i]} ${args[i+2]}
 	if [[ -n ${args[i+3]} ]] ; then
-		log_must $ZFS set mountpoint=${args[i+3]} ${args[i+2]}
+		log_must zfs set mountpoint=${args[i+3]} ${args[i+2]}
 
-		FILE_COUNT=`$LS -Al ${args[i+3]} | $GREP -v "total" \
-		    | $GREP -v "\.zfs" | wc -l`
+		FILE_COUNT=`ls -Al ${args[i+3]} | grep -v "total" \
+		    | grep -v "\.zfs" | wc -l`
 		if [[ $FILE_COUNT -ne $COUNT ]]; then
-			$LS -Al ${args[i+3]}
+			ls -Al ${args[i+3]}
 			log_fail "AFTER: ${args[i+3]} contains $FILE_COUNT files(s)."
 		fi
 
@@ -143,14 +143,14 @@
 		log_note "Verify the ${args[i+3]} directory is writable"
 		j=1
 		while [[ $j -le $COUNT ]]; do
-			log_must $FILE_WRITE -o create -f ${args[i+3]}/after_file$j \
+			log_must file_write -o create -f ${args[i+3]}/after_file$j \
 			-b $BLOCKSZ -c $NUM_WRITES -d $j
 			(( j = j + 1 ))
 		done
 
-		FILE_COUNT=`$LS -Al ${args[i+3]}/after* | $GREP -v "total" | wc -l`
+		FILE_COUNT=`ls -Al ${args[i+3]}/after* | grep -v "total" | wc -l`
 		if [[ $FILE_COUNT -ne $COUNT ]]; then
-			$LS -Al ${args[i+3]}
+			ls -Al ${args[i+3]}
 			log_fail "${args[i+3]} contains $FILE_COUNT after* files(s)."
 		fi
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_001_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_001_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,10 +53,10 @@
 {
 	snapexists $SNAPFS
 	[[ $? -eq 0 ]] && \
-		log_must $ZFS destroy $SNAPFS
+		log_must zfs destroy $SNAPFS
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify that a rollback to a previous snapshot succeeds."
@@ -64,7 +64,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -71,17 +71,17 @@
 log_note "Populate the $TESTDIR directory (prior to snapshot)"
 typeset -i i=1
 while [[ $i -le $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR/before_file$i \
+	log_must file_write -o create -f $TESTDIR/before_file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
 	(( i = i + 1 ))
 done
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
-FILE_COUNT=`$LS -Al $SNAPDIR | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $SNAPDIR | grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne $COUNT ]]; then
-        $LS -Al $SNAPDIR
+        ls -Al $SNAPDIR
         log_fail "AFTER: $SNAPFS contains $FILE_COUNT files(s)."
 fi
 
@@ -88,7 +88,7 @@
 log_note "Populate the $TESTDIR directory (post snapshot)"
 typeset -i i=1
 while [[ $i -le $COUNT ]]; do
-        log_must $FILE_WRITE -o create -f $TESTDIR/after_file$i \
+        log_must file_write -o create -f $TESTDIR/after_file$i \
            -b $BLOCKSZ -c $NUM_WRITES -d $i
 
         (( i = i + 1 ))
@@ -97,18 +97,18 @@
 #
 # Now rollback to latest snapshot
 #
-log_must $ZFS rollback $SNAPFS
+log_must zfs rollback $SNAPFS
 
-FILE_COUNT=`$LS -Al $TESTDIR/after* 2> /dev/null | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/after* 2> /dev/null | grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne 0 ]]; then
-        $LS -Al $TESTDIR
+        ls -Al $TESTDIR
         log_fail "$TESTDIR contains $FILE_COUNT after* files(s)."
 fi
 
-FILE_COUNT=`$LS -Al $TESTDIR/before* 2> /dev/null \
-    | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/before* 2> /dev/null \
+    | grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne $COUNT ]]; then
-	$LS -Al $TESTDIR
+	ls -Al $TESTDIR
 	log_fail "$TESTDIR contains $FILE_COUNT before* files(s)."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_002_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_002_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,14 +53,14 @@
 {
 	snapexists $SNAPFS.1
 	[[ $? -eq 0 ]] && \
-		log_must $ZFS destroy $SNAPFS.1
+		log_must zfs destroy $SNAPFS.1
 
 	snapexists $SNAPFS
 	[[ $? -eq 0 ]] && \
-		log_must $ZFS destroy $SNAPFS
+		log_must zfs destroy $SNAPFS
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify rollback is with respect to latest snapshot."
@@ -68,7 +68,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -75,17 +75,17 @@
 log_note "Populate the $TESTDIR directory (prior to first snapshot)"
 typeset -i i=1
 while [[ $i -le $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR/original_file$i \
+	log_must file_write -o create -f $TESTDIR/original_file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
 	(( i = i + 1 ))
 done
 
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
-FILE_COUNT=`$LS -Al $SNAPDIR | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $SNAPDIR | grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne $COUNT ]]; then
-        $LS -Al $SNAPDIR
+        ls -Al $SNAPDIR
         log_fail "AFTER: $SNAPFS contains $FILE_COUNT files(s)."
 fi
 
@@ -92,18 +92,18 @@
 log_note "Populate the $TESTDIR directory (prior to second snapshot)"
 typeset -i i=1
 while [[ $i -le $COUNT ]]; do
-        log_must $FILE_WRITE -o create -f $TESTDIR/afterfirst_file$i \
+        log_must file_write -o create -f $TESTDIR/afterfirst_file$i \
            -b $BLOCKSZ -c $NUM_WRITES -d $i
 
         (( i = i + 1 ))
 done
 
-log_must $ZFS snapshot $SNAPFS.1
+log_must zfs snapshot $SNAPFS.1
 
 log_note "Populate the $TESTDIR directory (Post second snapshot)"
 typeset -i i=1
 while [[ $i -le $COUNT ]]; do
-        log_must $FILE_WRITE -o create -f $TESTDIR/aftersecond_file$i \
+        log_must file_write -o create -f $TESTDIR/aftersecond_file$i \
            -b $BLOCKSZ -c $NUM_WRITES -d $i
 
         (( i = i + 1 ))
@@ -110,23 +110,23 @@
 done
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/original_file* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/original_file* > /dev/null 2>&1
 
 #
 # Now rollback to latest snapshot
 #
-log_must $ZFS rollback $SNAPFS.1
+log_must zfs rollback $SNAPFS.1
 
-FILE_COUNT=`$LS -Al $TESTDIR/aftersecond* 2> /dev/null \
-    | $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/aftersecond* 2> /dev/null \
+    | grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne 0 ]]; then
-        $LS -Al $TESTDIR
+        ls -Al $TESTDIR
         log_fail "$TESTDIR contains $FILE_COUNT aftersecond* files(s)."
 fi
 
-FILE_COUNT=`$LS -Al $TESTDIR/original* $TESTDIR/afterfirst*| $GREP -v "total" | wc -l`
+FILE_COUNT=`ls -Al $TESTDIR/original* $TESTDIR/afterfirst*| grep -v "total" | wc -l`
 if [[ $FILE_COUNT -ne 20 ]]; then
-        $LS -Al $TESTDIR
+        ls -Al $TESTDIR
         log_fail "$TESTDIR contains $FILE_COUNT original* files(s)."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_003_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/rollback_003_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 	typeset fs=""
 
 	export __ZFS_POOL_RESTRICT="$TESTPOOL"
-	log_must $ZFS mount -a
+	log_must zfs mount -a
 	unset __ZFS_POOL_RESTRICT
 
 	for snap in "$SNAPPOOL.1" "$SNAPPOOL"
@@ -61,7 +61,7 @@
 	do
 		snapexists $snap
 		[[ $? -eq 0 ]] && \
-			log_must $ZFS destroy $snap
+			log_must zfs destroy $snap
 	done
 
 	for fs in "$TESTPOOL/$TESTFILE/$TESTFILE.1" "$TESTPOOL/$TESTFILE"
@@ -68,11 +68,11 @@
 	do
 		datasetexists $fs
 		[[ $? -eq 0 ]] && \
-			log_must $ZFS destroy -r $fs
+			log_must zfs destroy -r $fs
 	done
 
 	[[ -e /$TESTPOOL ]] && \
-		log_must $RM -rf $TESTPOOL/*
+		log_must rm -rf $TESTPOOL/*
 }
 
 log_assert "Verify rollback succeeds when there are nested file systems."
@@ -79,28 +79,28 @@
 
 log_onexit cleanup
 
-log_must $ZFS snapshot $SNAPPOOL
-log_must $ZFS rollback $SNAPPOOL
-log_mustnot $ZFS snapshot $SNAPPOOL
+log_must zfs snapshot $SNAPPOOL
+log_must zfs rollback $SNAPPOOL
+log_mustnot zfs snapshot $SNAPPOOL
 
-log_must $TOUCH /$TESTPOOL/$TESTFILE
+log_must touch /$TESTPOOL/$TESTFILE
 
-log_must $ZFS rollback $SNAPPOOL
-log_must $ZFS create $TESTPOOL/$TESTFILE
+log_must zfs rollback $SNAPPOOL
+log_must zfs create $TESTPOOL/$TESTFILE
 
-log_must $ZFS rollback $SNAPPOOL
+log_must zfs rollback $SNAPPOOL
 
 log_note "Verify rollback of multiple nested file systems succeeds."
-log_must $ZFS snapshot $TESTPOOL/$TESTFILE@$TESTSNAP
-log_must $ZFS snapshot $SNAPPOOL.1
+log_must zfs snapshot $TESTPOOL/$TESTFILE@$TESTSNAP
+log_must zfs snapshot $SNAPPOOL.1
 
 export __ZFS_POOL_RESTRICT="$TESTPOOL"
-log_must $ZFS unmount -a
-log_must $ZFS mount -a
+log_must zfs unmount -a
+log_must zfs mount -a
 unset __ZFS_POOL_RESTRICT
 
-log_must $TOUCH /$TESTPOOL/$TESTFILE/$TESTFILE.1
+log_must touch /$TESTPOOL/$TESTFILE/$TESTFILE.1
 
-log_must $ZFS rollback $SNAPPOOL.1
+log_must zfs rollback $SNAPPOOL.1
 
 log_pass "Rollbacks succeed when nested file systems are present."
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_001_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_001_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,15 +52,15 @@
 {
 	snapexists $SNAPFS
 	if [[ $? -eq 0 ]]; then
-		log_must $ZFS destroy $SNAPFS
+		log_must zfs destroy $SNAPFS
 	fi
 
 	if [[ -e $SNAPDIR ]]; then
-		log_must $RM -rf $SNAPDIR > /dev/null 2>&1
+		log_must rm -rf $SNAPDIR > /dev/null 2>&1
 	fi
 
 	if [[ -e $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 	fi
 }
 
@@ -69,21 +69,21 @@
 log_onexit cleanup
 
 log_note "Create a file in the zfs filesystem..."
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE -b $BLOCKSZ \
+log_must file_write -o create -f $TESTDIR/$TESTFILE -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
 log_note "Sum the file, save for later comparison..."
-FILE_SUM=`$SUM -r $TESTDIR/$TESTFILE | $AWK  '{ print $1 }'`
+FILE_SUM=`sum -r $TESTDIR/$TESTFILE | awk  '{ print $1 }'`
 log_note "FILE_SUM = $FILE_SUM"
 
 log_note "Create a snapshot and mount it..."
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 log_note "Append to the original file..."
-log_must $FILE_WRITE -o append -f $TESTDIR/$TESTFILE -b $BLOCKSZ \
+log_must file_write -o append -f $TESTDIR/$TESTFILE -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
-SNAP_FILE_SUM=`$SUM -r $SNAPDIR/$TESTFILE | $AWK '{ print $1 }'`
+SNAP_FILE_SUM=`sum -r $SNAPDIR/$TESTFILE | awk '{ print $1 }'`
 if [[ $SNAP_FILE_SUM -ne $FILE_SUM ]]; then
 	log_fail "Sums do not match, aborting!! ($SNAP_FILE_SUM != $FILE_SUM)"
 fi
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_002_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_002_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,19 +57,19 @@
 
         snapexists $SNAPFS
         if [[ $? -eq 0 ]]; then
-                log_must $ZFS destroy $SNAPFS
+                log_must zfs destroy $SNAPFS
         fi
 
         if [[ -e $SNAPDIR ]]; then
-                log_must $RM -rf $SNAPDIR > /dev/null 2>&1
+                log_must rm -rf $SNAPDIR > /dev/null 2>&1
         fi
 
         if [[ -e $TESTDIR ]]; then
-                log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+                log_must rm -rf $TESTDIR/* > /dev/null 2>&1
         fi
 
 	if [[ -e /tmp/zfs_snapshot2.$$ ]]; then
-		log_must $RM -rf /tmp/zfs_snapshot2.$$ > /dev/null 2>&1
+		log_must rm -rf /tmp/zfs_snapshot2.$$ > /dev/null 2>&1
 	fi
 
 }
@@ -83,13 +83,13 @@
 typeset OP=create
 
 [[ -n $TESTDIR ]] && \
-    $RM -rf $TESTDIR/* > /dev/null 2>&1
+    rm -rf $TESTDIR/* > /dev/null 2>&1
 
 log_note "Create files in the zfs filesystem..."
 
 typeset i=1
 while [ $i -lt $COUNT ]; do
-	log_must $FILE_WRITE -o $OP -f $TESTDIR/file$i \
+	log_must file_write -o $OP -f $TESTDIR/file$i \
 	    -b $BLOCKSZ -c $NUM_WRITES -d $DATA
 
 	(( i = i + 1 ))
@@ -98,35 +98,35 @@
 log_note "Create a tarball from $TESTDIR contents..."
 CWD=$PWD
 cd $TESTDIR || log_fail "Could not cd $TESTDIR"
-log_must $TAR cf $TESTDIR/tarball.original.tar file*
+log_must tar cf $TESTDIR/tarball.original.tar file*
 cd $CWD || log_fail "Could not cd $CWD"
 
 log_note "Create a snapshot and mount it..."
-log_must $ZFS snapshot $SNAPFS
+log_must zfs snapshot $SNAPFS
 
 log_note "Remove all of the original files..."
-log_must $RM -f $TESTDIR/file* > /dev/null 2>&1
+log_must rm -f $TESTDIR/file* > /dev/null 2>&1
 
 log_note "Create tarball of snapshot..."
 CWD=$PWD
 cd $SNAPDIR || log_fail "Could not cd $SNAPDIR"
-log_must $TAR cf $TESTDIR/tarball.snapshot.tar file*
+log_must tar cf $TESTDIR/tarball.snapshot.tar file*
 cd $CWD || log_fail "Could not cd $CWD"
 
-log_must $MKDIR $TESTDIR/original
-log_must $MKDIR $TESTDIR/snapshot
+log_must mkdir $TESTDIR/original
+log_must mkdir $TESTDIR/snapshot
 
 CWD=$PWD
 cd $TESTDIR/original || log_fail "Could not cd $TESTDIR/original"
-log_must $TAR xf $TESTDIR/tarball.original.tar
+log_must tar xf $TESTDIR/tarball.original.tar
 
 cd $TESTDIR/snapshot || log_fail "Could not cd $TESTDIR/snapshot"
-log_must $TAR xf $TESTDIR/tarball.snapshot.tar
+log_must tar xf $TESTDIR/tarball.snapshot.tar
 
 cd $CWD || log_fail "Could not cd $CWD"
 
-$DIRCMP $TESTDIR/original $TESTDIR/snapshot > /tmp/zfs_snapshot2.$$
-$GREP different /tmp/zfs_snapshot2.$$ >/dev/null 2>&1
+dircmp $TESTDIR/original $TESTDIR/snapshot > /tmp/zfs_snapshot2.$$
+grep different /tmp/zfs_snapshot2.$$ >/dev/null 2>&1
 if [[ $? -ne 1 ]]; then
 	log_fail "Directory structures differ."
 fi
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_003_pos.ksh	Wed Aug 31 16:21:33 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_003_pos.ksh	Wed Aug 31 16:21:33 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,11 +51,11 @@
 	while [ $i -lt $COUNT ]; do
 		snapexists $SNAPFS.$i
 		if [[ $? -eq 0 ]]; then
-			log_must $ZFS destroy $SNAPFS.$i
+			log_must zfs destroy $SNAPFS.$i
 		fi
 
 		if [[ -e $SNAPDIR.$i ]]; then
-			log_must $RM -rf $SNAPDIR.$i > /dev/null 2>&1
+			log_must rm -rf $SNAPDIR.$i > /dev/null 2>&1
 		fi
 
 		(( i = i + 1 ))
@@ -62,7 +62,7 @@
 	done
 
 	if [[ -e $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 	fi
 }
 
@@ -71,7 +71,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -78,9 +78,9 @@
 log_note "Create some files in the $TESTDIR directory..."
 typeset -i i=1
 while [[ $i -lt $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR/file$i \
+	log_must file_write -o create -f $TESTDIR/file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
-	log_must $ZFS snapshot $SNAPFS.$i
+	log_must zfs snapshot $SNAPFS.$i
 
 	(( i = i + 1 ))
 done
@@ -87,14 +87,14 @@
 
 log_note "Remove all of the original files"
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/file* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/file* > /dev/null 2>&1
 
 i=1
 while [[ $i -lt $COUNT ]]; do
-	FILECOUNT=`$LS $SNAPDIR.$i/file* | wc -l`
+	FILECOUNT=`ls $SNAPDIR.$i/file* | wc -l`
 	typeset j=1
 	while [ $j -lt $FILECOUNT ]; do
-		log_must $FILE_CHECK $SNAPDIR.$i/file$j $j
+		log_must file_check $SNAPDIR.$i/file$j $j
 		(( j = j + 1 ))
 	done
 	(( i = i + 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_004_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_004_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,10 +50,10 @@
 {
 	snapexists $SNAPFS
 	[[ $? -eq 0 ]] && \
-		log_must $ZFS destroy $SNAPFS
+		log_must zfs destroy $SNAPFS
 
 	[[ -e $TESTDIR ]] && \
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 }
 
 log_assert "Verify that a snapshot of an empty file system remains empty."
@@ -61,12 +61,12 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
-log_must $ZFS snapshot $SNAPFS
-FILE_COUNT=`$LS -Al $SNAPDIR | $GREP -v "total 0" | wc -l`
+log_must zfs snapshot $SNAPFS
+FILE_COUNT=`ls -Al $SNAPDIR | grep -v "total 0" | wc -l`
 if [[ $FILE_COUNT -ne 0 ]]; then
-	$LS $SNAPDIR
+	ls $SNAPDIR
 	log_fail "BEFORE: $SNAPDIR contains $FILE_COUNT files(s)."
 fi
 
@@ -75,15 +75,15 @@
 log_note "Populate the $TESTDIR directory"
 typeset -i i=1
 while [[ $i -lt $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR/file$i \
+	log_must file_write -o create -f $TESTDIR/file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
 
 	(( i = i + 1 ))
 done
 
-FILE_COUNT=`$LS -Al $SNAPDIR | $GREP -v "total 0" | wc -l`
+FILE_COUNT=`ls -Al $SNAPDIR | grep -v "total 0" | wc -l`
 if [[ $FILE_COUNT -ne 0 ]]; then
-        $LS $SNAPDIR
+        ls $SNAPDIR
         log_fail "AFTER: $SNAPDIR contains $FILE_COUNT files(s)."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_005_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_005_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,15 +51,15 @@
 {
 	snapexists $SNAPCTR
 	if [[ $? -eq 0 ]]; then
-		log_must $ZFS destroy $SNAPCTR
+		log_must zfs destroy $SNAPCTR
 	fi
 
 	if [[ -e $SNAPDIR1 ]]; then
-		log_must $RM -rf $SNAPDIR1 > /dev/null 2>&1
+		log_must rm -rf $SNAPDIR1 > /dev/null 2>&1
 	fi
 
 	if [[ -e $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 	fi
 }
 
@@ -68,21 +68,21 @@
 log_onexit cleanup
 
 log_note "Create a file in the zfs filesystem..."
-log_must $FILE_WRITE -o create -f $TESTDIR1/$TESTFILE -b $BLOCKSZ \
+log_must file_write -o create -f $TESTDIR1/$TESTFILE -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
 log_note "Sum the file, save for later comparison..."
-FILE_SUM=`$SUM -r $TESTDIR1/$TESTFILE | $AWK  '{ print $1 }'`
+FILE_SUM=`sum -r $TESTDIR1/$TESTFILE | awk  '{ print $1 }'`
 log_note "FILE_SUM = $FILE_SUM"
 
 log_note "Create a snapshot and mount it..."
-log_must $ZFS snapshot $SNAPCTR
+log_must zfs snapshot $SNAPCTR
 
 log_note "Append to the original file..."
-log_must $FILE_WRITE -o append -f $TESTDIR1/$TESTFILE -b $BLOCKSZ \
+log_must file_write -o append -f $TESTDIR1/$TESTFILE -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
-SNAP_FILE_SUM=`$SUM -r $SNAPDIR1/$TESTFILE | $AWK '{ print $1 }'`
+SNAP_FILE_SUM=`sum -r $SNAPDIR1/$TESTFILE | awk '{ print $1 }'`
 if [[ $SNAP_FILE_SUM -ne $FILE_SUM ]]; then
 	log_fail "Sums do not match, aborting!! ($SNAP_FILE_SUM != $FILE_SUM)"
 fi
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_006_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_006_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,19 +56,19 @@
 
         snapexists $SNAPCTR
         if [[ $? -eq 0 ]]; then
-                log_must $ZFS destroy $SNAPCTR
+                log_must zfs destroy $SNAPCTR
         fi
 
         if [[ -e $SNAPDIR1 ]]; then
-                log_must $RM -rf $SNAPDIR1 > /dev/null 2>&1
+                log_must rm -rf $SNAPDIR1 > /dev/null 2>&1
         fi
 
         if [[ -e $TESTDIR1 ]]; then
-                log_must $RM -rf $TESTDIR1/* > /dev/null 2>&1
+                log_must rm -rf $TESTDIR1/* > /dev/null 2>&1
         fi
 
 	if [[ -e /tmp/zfs_snapshot2.$$ ]]; then
-		log_must $RM -rf /tmp/zfs_snapshot2.$$ > /dev/null 2>&1
+		log_must rm -rf /tmp/zfs_snapshot2.$$ > /dev/null 2>&1
 	fi
 
 }
@@ -81,13 +81,13 @@
 typeset -i COUNT=21
 typeset OP=create
 
-[[ -n $TESTDIR1 ]] && $RM -rf $TESTDIR1/* > /dev/null 2>&1
+[[ -n $TESTDIR1 ]] && rm -rf $TESTDIR1/* > /dev/null 2>&1
 
 log_note "Create files in the zfs dataset ..."
 
 typeset i=1
 while [ $i -lt $COUNT ]; do
-	log_must $FILE_WRITE -o $OP -f $TESTDIR1/file$i \
+	log_must file_write -o $OP -f $TESTDIR1/file$i \
 	    -b $BLOCKSZ -c $NUM_WRITES -d $DATA
 
 	(( i = i + 1 ))
@@ -96,35 +96,35 @@
 log_note "Create a tarball from $TESTDIR1 contents..."
 CWD=$PWD
 cd $TESTDIR1 || log_fail "Could not cd $TESTDIR1"
-log_must $TAR cf $TESTDIR1/tarball.original.tar file*
+log_must tar cf $TESTDIR1/tarball.original.tar file*
 cd $CWD || log_fail "Could not cd $CWD"
 
 log_note "Create a snapshot and mount it..."
-log_must $ZFS snapshot $SNAPCTR
+log_must zfs snapshot $SNAPCTR
 
 log_note "Remove all of the original files..."
-log_must $RM -f $TESTDIR1/file* > /dev/null 2>&1
+log_must rm -f $TESTDIR1/file* > /dev/null 2>&1
 
 log_note "Create tarball of snapshot..."
 CWD=$PWD
 cd $SNAPDIR1 || log_fail "Could not cd $SNAPDIR1"
-log_must $TAR cf $TESTDIR1/tarball.snapshot.tar file*
+log_must tar cf $TESTDIR1/tarball.snapshot.tar file*
 cd $CWD || log_fail "Could not cd $CWD"
 
-log_must $MKDIR $TESTDIR1/original
-log_must $MKDIR $TESTDIR1/snapshot
+log_must mkdir $TESTDIR1/original
+log_must mkdir $TESTDIR1/snapshot
 
 CWD=$PWD
 cd $TESTDIR1/original || log_fail "Could not cd $TESTDIR1/original"
-log_must $TAR xf $TESTDIR1/tarball.original.tar
+log_must tar xf $TESTDIR1/tarball.original.tar
 
 cd $TESTDIR1/snapshot || log_fail "Could not cd $TESTDIR1/snapshot"
-log_must $TAR xf $TESTDIR1/tarball.snapshot.tar
+log_must tar xf $TESTDIR1/tarball.snapshot.tar
 
 cd $CWD || log_fail "Could not cd $CWD"
 
-$DIRCMP $TESTDIR1/original $TESTDIR1/snapshot > /tmp/zfs_snapshot2.$$
-$GREP different /tmp/zfs_snapshot2.$$ >/dev/null 2>&1
+dircmp $TESTDIR1/original $TESTDIR1/snapshot > /tmp/zfs_snapshot2.$$
+grep different /tmp/zfs_snapshot2.$$ >/dev/null 2>&1
 if [[ $? -ne 1 ]]; then
 	log_fail "Directory structures differ."
 fi
--- old/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_007_pos.ksh	Wed Aug 31 16:21:34 2016
+++ new/usr/src/test/zfs-tests/tests/functional/snapshot/snapshot_007_pos.ksh	Wed Aug 31 16:21:34 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,11 +51,11 @@
 	while [ $i -lt $COUNT ]; do
 		snapexists $SNAPCTR.$i
 		if [[ $? -eq 0 ]]; then
-			log_must $ZFS destroy $SNAPCTR.$i
+			log_must zfs destroy $SNAPCTR.$i
 		fi
 
 		if [[ -e $SNAPDIR.$i ]]; then
-			log_must $RM -rf $SNAPDIR1.$i > /dev/null 2>&1
+			log_must rm -rf $SNAPDIR1.$i > /dev/null 2>&1
 		fi
 
 		(( i = i + 1 ))
@@ -62,11 +62,11 @@
 	done
 
 	if [[ -e $SNAPDIR1 ]]; then
-		log_must $RM -rf $SNAPDIR1 > /dev/null 2>&1
+		log_must rm -rf $SNAPDIR1 > /dev/null 2>&1
 	fi
 
 	if [[ -e $TESTDIR ]]; then
-		log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+		log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 	fi
 }
 
@@ -75,7 +75,7 @@
 log_onexit cleanup
 
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR/* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR/* > /dev/null 2>&1
 
 typeset -i COUNT=10
 
@@ -82,9 +82,9 @@
 log_note "Create some files in the $TESTDIR directory..."
 typeset -i i=1
 while [[ $i -lt $COUNT ]]; do
-	log_must $FILE_WRITE -o create -f $TESTDIR1/file$i \
+	log_must file_write -o create -f $TESTDIR1/file$i \
 	   -b $BLOCKSZ -c $NUM_WRITES -d $i
-	log_must $ZFS snapshot $SNAPCTR.$i
+	log_must zfs snapshot $SNAPCTR.$i
 
 	(( i = i + 1 ))
 done
@@ -91,14 +91,14 @@
 
 log_note "Remove all of the original files"
 [[ -n $TESTDIR ]] && \
-    log_must $RM -rf $TESTDIR1/file* > /dev/null 2>&1
+    log_must rm -rf $TESTDIR1/file* > /dev/null 2>&1
 
 i=1
 while [[ $i -lt $COUNT ]]; do
-	FILECOUNT=`$LS $SNAPDIR1.$i/file* | wc -l`
+	FILECOUNT=`ls $SNAPDIR1.$i/file* | wc -l`
 	typeset j=1
 	while [ $j -lt $FILECOUNT ]; do
-		log_must $FILE_CHECK $SNAPDIR1.$i/file$j $j
+		log_must file_check $SNAPDIR1.$i/file$j $j
 		(( j = j + 1 ))
 	done
 	(( i = i + 1 ))
